# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# common_types.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

- enum ChromaFormat { format444, format422, format420, formatNK }
- enum WltFilter {
  DD9_3 = 0, LEGALL5_3, DD13_5, HAAR0,
  HAAR1, HAAR2, FIDELITY, DAUB9_7,
  filterNK
  }
- enum FrameType { INTRA_FRAME = 0, INTER_FRAME }
- enum ReferenceType { REFERENCE_FRAME = 0, NON_REFERENCE_FRAME }
- enum VideoFormat {
  VIDEO_FORMAT_CUSTOM = 0, VIDEO_FORMAT_QSIF, VIDEO_FORMAT_QCIF, VIDEO_FORMAT_SIF,
  VIDEO_FORMAT_CIF, VIDEO_FORMAT_4CIF, VIDEO_FORMAT_4SIF, VIDEO_FORMAT_SD_525_DIGITAL,
  VIDEO_FORMAT_SD_625_DIGITAL, VIDEO_FORMAT_HD_720, VIDEO_FORMAT_HD_1080, VIDEO_FORMAT_DIGI_CINEMA_2K,
  VIDEO_FORMAT_DIGI_CINEMA_4K, VIDEO_FORMAT_UNDEFINED
  }
- enum ColourPrimaries {
  CP_ITU_709 = 0, CP_SMPTE_C, CP_EBU_3213, CP_CIE_XYZ,
  CP_UNDEF
  }
- enum ColourMatrix { CM_HDTV_COMP_INTERNET = 0, CM_SDTV, CM_DCINEMA, CM_UNDEF }
- enum TransferFunction {
  TF_TV = 0, TF_EXT_GAMUT, TF_LINEAR, TF_DCINEMA,
  TF_UNDEF
  }
- enum FrameRateType {
  FRAMERATE_CUSTOM = 0, FRAMERATE_23p97_FPS, FRAMERATE_24_FPS, FRAMERATE_25_FPS,
  FRAMERATE_29p97_FPS, FRAMERATE_30_FPS, FRAMERATE_50_FPS, FRAMERATE_59p94_FPS,
  FRAMERATE_60_FPS, FRAMERATE_UNDEFINED
  }
- enum AspectRatioType {
  ASPECT_RATIO_CUSTOM = 0, ASPECT_RATIO_1_1, ASPECT_RATIO_10_11, ASPECT_RATIO_12_11,
  ASPECT_RATIO_UNDEFINED
  }
- enum SignalRangeType {
  SIGNAL_RANGE_CUSTOM = 0, SIGNAL_RANGE_8BIT_FULL, SIGNAL_RANGE_8BIT_VIDEO, SIGNAL_RANGE_10BIT_VIDEO,
  SIGNAL_RANGE_UNDEFINED
  }
- enum InterlaceType { IT_PROGRESSIVE = 0, IT_INTERLACED_TFF, IT_INTERLACED_BFF, IT_UNDEF }
- enum MVPrecisionType {
  MV_PRECISION_PIXEL = 0, MV_PRECISION_HALF_PIXEL, MV_PRECISION_QUARTER_PIXEL, MV_PRECISION_EIGHTH_PIXEL,
  MV_PRECISION_UNDEFINED
  }
- enum CodeBlockMode { QUANT_SINGLE, QUANT_MULTIPLE, QUANT_UNDEF }

## Enumeration Type Documentation

enum AspectRatioType

Types of Aspect Ratio

Enumerator:

  ASPECT_RATIO_CUSTOM |
  ASPECT_RATIO_1_1 |
  ASPECT_RATIO_10_11 |
  ASPECT_RATIO_12_11 |
  ASPECT_RATIO_UNDEFINED |

enum ChromaFormat

This file contains common enumerated types used throughout the encoder and the end user interfaces to the encoder and decoder

Types of chroma formatting (formatNK=format not known)

Enumerator:

  format444 |
  format422 |
  format420 |
  formatNK |

enum CodeBlockMode

Type of quantiser modes when spatial partitioning is enabled

Enumerator:

  QUANT_SINGLE |
  QUANT_MULTIPLE |
  QUANT_UNDEF |

enum ColourMatrix

Types of Colour Matrices

Enumerator:

  CM_HDTV_COMP_INTERNET |
  CM_SDTV |
  CM_DCINEMA |
  CM_UNDEF |

enum ColourPrimaries

Types of Colour primaries

Enumerator:

  CP_ITU_709 |
  CP_SMPTE_C |
  CP_EBU_3213 |
  CP_CIE_XYZ |
  CP_UNDEF |

enum FrameRateType

Types of Frame-rate

Enumerator:

  FRAMERATE_CUSTOM |
  FRAMERATE_23p97_FPS |
  FRAMERATE_24_FPS |
  FRAMERATE_25_FPS |
  FRAMERATE_29p97_FPS |
  FRAMERATE_30_FPS |
  FRAMERATE_50_FPS |
  FRAMERATE_59p94_FPS |
  FRAMERATE_60_FPS |
  FRAMERATE_UNDEFINED |

enum FrameType

Types of frame

Enumerator:

  INTRA_FRAME |
  INTER_FRAME |

enum InterlaceType

Types of Transfer functions

Enumerator:

  IT_PROGRESSIVE |
  IT_INTERLACED_TFF |
  IT_INTERLACED_BFF |
  IT_UNDEF |

enum MVPrecisionType

Types of motion-vector precision

Enumerator:

  MV_PRECISION_PIXEL |
  MV_PRECISION_HALF_PIXEL |
  MV_PRECISION_QUARTER_PIXEL |
  MV_PRECISION_EIGHTH_PIXEL |
  MV_PRECISION_UNDEFINED |

enum ReferenceType

Types of referencing

Enumerator:

  REFERENCE_FRAME |
  NON_REFERENCE_FRAME |

enum SignalRangeType

Types of signal range

Enumerator:

  SIGNAL_RANGE_CUSTOM |
  SIGNAL_RANGE_8BIT_FULL |
  SIGNAL_RANGE_8BIT_VIDEO |
  SIGNAL_RANGE_10BIT_VIDEO |
  SIGNAL_RANGE_UNDEFINED |

enum TransferFunction

Types of Transfer functions

Enumerator:

  TF_TV |
  TF_EXT_GAMUT |
  TF_LINEAR |
  TF_DCINEMA |
  TF_UNDEF |

enum VideoFormat

Types for video-format

Enumerator:

  VIDEO_FORMAT_CUSTOM |
  VIDEO_FORMAT_QSIF |
  VIDEO_FORMAT_QCIF |
  VIDEO_FORMAT_SIF |
  VIDEO_FORMAT_CIF |
  VIDEO_FORMAT_4CIF |
  VIDEO_FORMAT_4SIF |
  VIDEO_FORMAT_SD_525_DIGITAL |
  VIDEO_FORMAT_SD_625_DIGITAL |
  VIDEO_FORMAT_HD_720 |
  VIDEO_FORMAT_HD_1080 |
  VIDEO_FORMAT_DIGI_CINEMA_2K |
  VIDEO_FORMAT_DIGI_CINEMA_4K |
  VIDEO_FORMAT_UNDEFINED |

enum WltFilter

Types of Wavelet filters supported. filterNK - not known)

Enumerator:

  DD9_3 |
  LEGALL5_3 |
  DD13_5 |
  HAAR0 |
  HAAR1 |
  HAAR2 |
  FIDELITY |
  DAUB9_7 |
  filterNK |

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.